1

I have installed Java 12 JDK and set it as the default version and updated Eclipse to V4.11. Java 12 is recognised in Eclipse "Installed JREs" but the compiler compliance level does not go beyond 11. The unique Java 12 code is flagged as an error. I uninstalled Java 11 just to be on the safe side. What am I missing?

1

Make sure that JRE is 12 in the path not JRE 11 as default. If so, remove JRE 11 from path and add JRE 12 from build path.

Then, you need to install https://marketplace.eclipse.org/content/java-12-support-eclipse-2019-03-411 to eclipse marketplace.

Then, from Project-> properties ->Java Compiler, enable preview features

|improve this answer|||||

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.